import { tick } from "svelte";
import App from ":virtual/vitebook/app";
import { ROUTER_CTX_KEY } from "./context/getRouter";
import { createRouter } from "./createRouter";
async function mount() {
  const router = await createRouter();
  const context = /* @__PURE__ */ new Map();
  context.set(ROUTER_CTX_KEY, router);
  router.waitUntilReady.then(async () => {
    new App({
      target: document.getElementById("app"),
      hydrate: import.meta.env.PROD,
      context
    });
    await tick();
    await router.go(location.href, { replace: true });
  });
}
mount();
