import App from "./App.svelte";
import { ROUTER_CTX_KEY } from "./context/getRouter";
import { SSR_CTX_KEY } from "./context/getSSRContext";
import { createRouter } from "./createRouter";
const render = async (page) => {
  const ssr = {
    modules: /* @__PURE__ */ new Set()
  };
  const router = await createRouter();
  await router.go(page.route);
  const context = /* @__PURE__ */ new Map();
  context.set(SSR_CTX_KEY, ssr);
  context.set(ROUTER_CTX_KEY, router);
  const { head, html, css } = App.render({}, { context });
  return { ssr, html, head, css };
};
export {
  render
};
