import type { ClientLayout as ClientLayout_2 } from '@vitebook/core';
import type { ClientPage as ClientPage_2 } from '@vitebook/core';
import type { ClientPageModule as ClientPageModule_2 } from '@vitebook/core';
import { ClientPlugin } from '@vitebook/core/node';
import type { LoadedClientLayout as LoadedClientLayout_2 } from '@vitebook/core';
import type { LoadedClientPage as LoadedClientPage_2 } from '@vitebook/core';
import type { MarkdownMeta } from '@vitebook/core';
import { Options } from '@sveltejs/vite-plugin-svelte';
import type { SvelteComponent } from 'svelte';

export declare type ClientLayout = ClientLayout_2<SvelteModule>;

export declare type ClientPage = ClientPage_2<ClientPageModule>;

export declare type ClientPageModule = ClientPageModule_2<SvelteConstructor>;

export declare type LoadedClientLayout = LoadedClientLayout_2<SvelteModule>;

export declare type LoadedClientMarkdownPage = LoadedClientPage & {
    readonly meta: MarkdownMeta;
};

export declare type LoadedClientPage = LoadedClientPage_2<ClientPageModule>;

export declare type SvelteConstructor = typeof SvelteComponent;

export declare type SvelteModule = {
    readonly default: SvelteConstructor;
};

declare function sveltePlugin(config?: SveltePluginConfig): ClientPlugin;
export default sveltePlugin;
export { sveltePlugin }

export declare type SveltePluginConfig = {
    svelte?: Options;
};

export { }
